/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Vascular Sclerosis Types
 */
public enum EnumCV_VascularSclerosisTypes {

	ADVENTITIAL_DEGENERATION_M_52450("M-52450"),
	ARTERIOSCLEROSIS_WITH_FIBRINOID_NECROSIS_M_52210("M-52210"),
	ARTERIOLOSCLEROSIS_M_52200("M-52200"),
	ARTERIOSCLEROSIS_M_52000("M-52000"),
	ATHEROMA_M_52100("M-52100"),
	ATHEROSCLEROTIC_FIBROUS_PLAQUE_M_52120("M-52120"),
	CALCIFIED_ATHEROMATOUS_PLAQUE_M_52101("M-52101"),
	COMPLICATED_ATHEROMATOUS_PLAQUE_M_52102("M-52102"),
	CYSTIC_MEDICAL_NECROSIS_M_52470("M-52470"),
	ELASTIC_VASCULAR_SCLEROSIS_M_52240("M-52240"),
	FATTY_STREAKS_M_52130("M-52130"),
	FIBROELASTOSIS_M_52300("M-52300"),
	DIFFUSE_FIBROELASTOSIS_M_52302("M-52302"),
	FOCAL_FIBROELASTOSIS_M_52301("M-52301"),
	PHLEBOSCLEROSIS_M_52500("M-52500"),
	ULCERATED_ATHEROMATOUS_PLAQUE_M_52103("M-52103"),
	VASCULAR_WALL_DEGENERATION_M_52400("M-52400") ;
	
private String value;
	
	EnumCV_VascularSclerosisTypes(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
